/* $Id: weaponwindow.cpp,v 1.5 2005/06/28 13:55:26 chfreund Exp $ */

#include "weaponwindow.hpp"

#include "layout.h"
using namespace SDLwidgets;

#include "player.hpp"

WeaponWindow::WeaponWindow() {
	VerticalLayout* layout = new VerticalLayout( this );
	setLayout( layout );
	
	for ( int i = 0; i < Player::m_MAX_WEAPONS-Player::m_IGNORE_N_LAST_WEAPONS; i++ ) {
		m_indicator[i] = new WeaponIndicator( 75, 5 );
		add( m_indicator[i] );
	}
}

WeaponWindow::~WeaponWindow() {
	for ( int i = 0; i < Player::m_MAX_WEAPONS-Player::m_IGNORE_N_LAST_WEAPONS; i++ ) {
		delete m_indicator[i];
	}
}
